Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.crypto.modes.gcm
Class Tables8kGCMMultiplier

    java.lang.Object
      org.bouncycastle.crypto.modes.gcm.Tables8kGCMMultiplier

All Implemented Interfaces:
  GCMMultiplier

    public class Tables8kGCMMultiplier

extends java.lang.Object
implements GCMMultiplier

Constructor Summary
`Tables8kGCMMultiplier()`

Method Summary
`void` `init(byte[] H)`
`void` `multiplyH(byte[] x)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Tables8kGCMMultiplier

    public Tables8kGCMMultiplier()

Method Detail

### init

    public void init(byte[] H)

  Specified by:
    `init` in interface `GCMMultiplier`

### multiplyH

    public void multiplyH(byte[] x)

  Specified by:
    `multiplyH` in interface `GCMMultiplier`

Bouncy Castle Cryptography Library 1.45